/* SPDX-License-Identifier: GPL-2.0-or-later. */
#ifndef _GNU_SOURCE
# define _GNU_SOURCE
#endif
#include <errno.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>

int
main(int ac, char **av)
{
    const char *path;
    const char vi[] = "/bin/vi";
    const char vim[] = "/usr/bin/vim";

    path = vim;
    if (access(vim, X_OK)) {
	path = vi;
    }

    av[0] = program_invocation_short_name;
    execv(path, av);
    perror(path);
    return EXIT_FAILURE;
}
